/**************************/
/* BELOW 1344px (Smaller desktops) */
/**************************/

@media (max-width: 84em) {
  .hero {
    max-width: 120rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }
}
/**************************/
/* BELOW 1200px (Landscape Tablets) */
/**************************/

@media (max-width: 75em) {
  html {
    /* 9px / 16px  */
    font-size: 56.25%;
  }

  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }

  .heading-tertiary {
    font-size: 2.4rem;
  }

  .header {
    padding: 0 3.2rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .hero {
    gap: 4.8rem;
  }
  .principles-container {
    padding: 9.6rem 3.2rem;
  }
  .hero-text-box,
  .hero-img-box {
    text-align: center;
  }
  .hero-container {
    width: 350px;
  }

  .hero-text {
    font-size: 1.4rem;
  }
}

/**************************/
/* BELOW 944px (Tablets) */
/**************************/

@media (max-width: 59em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
    font-size: 50%;
  }

  .hero-text-box,
  .hero-img-box {
    text-align: center;
  }
  .hero-container {
    width: 350px;
  }

  .hero-text {
    font-size: 1.4rem;
  }
  .hero-img {
    width: 100%;
  }

  .logo {
    height: 5.2rem;
  }

  .grid--4-cols {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 5.2rem !important;
  }

  .grid--2-cols {
    grid-template-columns: 1fr;
  }

  .cta-box {
    /* 3/5 = 60% + 2/5 = 40% */
    grid-template-columns: 4fr 1fr;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .cta-form input,
  .cta-form select,
  .cta-form textarea {
    width: 85%;
  }
  .cta-box {
    grid-template-columns: 1fr;
  }
  .cta-form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 2.2rem;
  }

  .btn--form {
    align-self: center;
  }
  .cta-img-box {
    height: 32rem;
    grid-row: 1;
  }

  .btn--form {
    margin-top: 1.2rem;
  }

  /* MOBILE NAVIGATION */
  .btn-mobile-nav {
    display: block;
    z-index: 9999;
    justify-self: start;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.9);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(10px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* Hide navigation */
    /* Allows NO transitions at all */
    /* display: none; */

    /* 1) Hide it visually */
    opacity: 0;

    /* 2) Make it unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 1.6rem;
  }
}

/**************************/
/* BELOW 704px (Smaller tablets) */
/**************************/

@media (max-width: 44em) {
  .grid--3-cols {
    grid-template-columns: repeat(2, 1fr);
  }

  .grid {
    column-gap: 4.8rem;
    row-gap: 3.2rem;
  }

  .hero-container {
    width: 260px;
  }

  .hero-text {
    font-size: 1rem;
  }

  .page-break-img {
    width: 80rem;
    height: 6.2rem;
  }
  .principles-grid {
    grid-template-columns: 1fr;
  }
  .mission-box {
    border: none;
    margin-bottom: 4.2rem;
  }
  .vission-box {
    margin-bottom: 4.2rem;
  }

  .heading-secondary {
    margin-bottom: 2.8rem;
  }
  .cta-box {
    grid-template-columns: 1fr;
  }
  .cta-form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 2.2rem;
  }

  .btn--form {
    align-self: center;
    width: 60%;
    padding: 2.4rem 5.6rem;
  }

  .grid--footer {
    grid-template-columns: 1fr;
  }

  .logo-col,
  .address-col {
    grid-column: span 2;
  }

  .nav-col {
    grid-row: 2;
    grid-column: span 2;
    margin-bottom: 3.2rem;
  }
}

/**************************/
/* BELOW 544px (Phones) */
/**************************/

@media (max-width: 34em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
    font-size: 40%;
  }

  /* .btn,
  .btn:link,
  .btn:visited {
    padding: 2.4rem 5rem;
  } */
  .grid--2-cols,
  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: 1fr;
  }
  .heading-primary {
    font-size: 3.2rem;
  }
  .heading-secondary {
    font-size: 3.2rem;
  }

  .heading-tertiary {
    font-size: 2.8rem;
  }
  .nav-grid {
    grid-template-columns: 1fr 2fr 2fr;
  }
  .logo {
    height: 4.2rem;
  }
  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 1.2rem;
  }
  .main-nav-link-btn:link,
  .main-nav-link-btn:visited {
    font-size: 1.2rem;
  }
  .grid {
    row-gap: 3.2rem;
  }
  .header {
    padding: 0 1.2rem;
  }
  .hero-container {
    width: 150px;
  }
  .hero-text {
    font-size: 0.8rem;
  }

  .offer-container {
    padding: 1.2rem 12rem;
  }
  .offer {
    margin-bottom: 2.4rem;
  }

  .form-box {
    padding: 1.2rem 1.2rem;
  }

  .cta-box {
    padding: 0rem 0rem;
  }

  btn--form {
    align-self: center;
    width: 85%;
  }
}
